<?php
/**
 * Article Name: Category Block - Side
 */

use USKit\Base\NewsMLArticle;
use USKit\Base\Teaser;
use Infomaker\Everyware\Twig\View;

if ($article instanceof OcArticle) {
    $teaser = new Teaser(NewsMLArticle::createFromOcArticle($article));

    $teaserArray = $teaser->getViewData();

    $teaserArray['teaser_frontpage_length'] = get_theme_mod( 'teaser_frontpage_length' );
    $teaserArray['teaser_frontpage_blocks_display'] = get_theme_mod( 'teaser_frontpage_blocks_display' );
    $teaserArray['category_block_side_category_display'] = get_theme_mod( 'category_block_side_category_display' );
    $teaserArray['category_block_side_time_diff_display'] = get_theme_mod( 'category_block_side_time_diff_display' );
    $teaserArray['category_block_side_summary_display'] = get_theme_mod( 'category_block_side_summary_display' );
    $teaserArray['category_block_side_author_display'] = get_theme_mod( 'category_block_side_author_display' );
    $teaserArray['category_block_side_time_display'] = get_theme_mod( 'category_block_side_time_display' );
    $teaserArray['timezone_setting'] = get_theme_mod( 'timezone_setting' );
    $teaserArray['teaser_time_format'] = get_theme_mod('teaser_time_format' );
    $teaserArray['published_time_label'] = get_theme_mod('published_time_label' );
    $teaserArray['modified_time_label'] = get_theme_mod('modified_time_label' );
    $teaserArray['image_endpoint_url'] = get_theme_mod('image_endpoint_url' );

    $timeDiff = human_time_diff(date('U'), strtotime($teaserArray['pubdate']));
    $timeDiffKeyword = explode(" ", $timeDiff)[1];
    if (!in_array($timeDiffKeyword, ['min', 'mins', 'hour', 'hours'])) {
        $teaserArray['time_diff'] = $timeDiff . ' ago';
    } else {
        $teaserArray['time_diff'] = FALSE;
    }

    View::render('@base/teaser/category-block-side.twig', $teaserArray);
}