<?php
/**
 * Article Name: Thin Teaser - Long
 */

use USKit\Base\NewsMLArticle;
use USKit\Base\Teaser;
use Infomaker\Everyware\Twig\View;

if ($article instanceof OcArticle) {
    $teaser = new Teaser(NewsMLArticle::createFromOcArticle($article));
    $teaserArray = $teaser->getViewData();

    $teaserArray['teaser_frontpage_length'] = get_theme_mod( 'teaser_frontpage_length' );
    $teaserArray['timezone_setting'] = get_theme_mod( 'timezone_setting' );
    $teaserArray['teaser_time_format'] = get_theme_mod('teaser_time_format' );
    $teaserArray['published_time_label'] = get_theme_mod('published_time_label' );
    $teaserArray['modified_time_label'] = get_theme_mod('modified_time_label' );
    $teaserArray['time_diff'] = human_time_diff(date('U'), strtotime($teaserArray['pubdate']));
    $teaserArray['thin_teaser_long_category_display'] = get_theme_mod('thin_teaser_long_category_display' );
    $teaserArray['thin_teaser_long_time_diff_display'] = get_theme_mod('thin_teaser_long_time_diff_display' );
    $teaserArray['thin_teaser_long_summary_display'] = get_theme_mod('thin_teaser_long_summary_display' );
    $teaserArray['thin_teaser_long_time_display'] = get_theme_mod('thin_teaser_long_time_display' );
    $teaserArray['thin_teaser_long_author_display'] = get_theme_mod('thin_teaser_long_author_display' );
    $teaserArray['image_endpoint_url'] = get_theme_mod('image_endpoint_url' );

    View::render('@base/teaser/thin-teaser-long.twig', $teaserArray);
}